define
die
Misc. Functions
PHP Manual

# defined

(PHP 4, PHP 5)

defined — Checks whether a given named constant exists

### Description

bool defined ( string `$name` )

Checks whether the given constant exists and is defined.

> Note: If you want to see if a variable exists, use isset() as defined() only applies to constants. If you want to see if a function exists, use function_exists().

### Parameters

`name`

  The constant name.

### Return Values

Returns `TRUE` if the named constant given by `name` has been defined, `FALSE` otherwise.

### Examples

Example #1 Checking Constants

`<?php
/* Note the use of quotes, this is important. This example is checking
* if the string 'CONSTANT' is the name of a constant named CONSTANT */
if (defined('CONSTANT')) {
echo CONSTANT;
}
?>`

### See Also

- define()
- constant()
- get_defined_constants()
- function_exists()
- The section on Constants

define
die
Misc. Functions
PHP Manual